Bug 1422648 - Impossible to access Cockpit administration tool from Self-Service UI [NEEDINFO]
Summary: Impossible to access Cockpit administration tool from Self-Service UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.2
Assignee: Martin Povolny
QA Contact: Shveta
URL:
Whiteboard: ssui
Depends On: 1409956
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-15 18:43 UTC by Satoe Imaishi
Modified: 2017-04-12 14:37 UTC (History)
9 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1409956
Environment:
Last Closed: 2017-04-12 14:37:50 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:
sshveta: needinfo? (mpovolny)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 3 Satoe Imaishi 2017-03-09 22:24:54 UTC
https://github.com/ManageIQ/manageiq-ui-service/pull/560 was merged today.

Comment 4 Shveta 2017-03-30 20:11:36 UTC
Able to click on  cockpit icon but console does not connect.
Please check : 
https://10.8.198.145/self_service 
Service - cockpit

Comment 5 Martin Povolny 2017-03-31 18:08:47 UTC
And is the cockpit running on the target VM?

All the button does at this point is open the URL if the cockpit is not running on the target VM the new window will be empty.

Comment 6 Martin Povolny 2017-04-03 14:35:34 UTC
As discussed on Gitter: button in the SUI has the same behavior as the one in OPS UI which is exactly what we expect at this point.

Comment 7 Shveta 2017-04-03 16:26:49 UTC
So i have a VM with cockpit icon in SUI . Nothing happens when i click on it(cockpit service in https://10.8.199.136/self_service/services/12)
In OPS UI , it does not show the cockpit icon
it shows "VM console" and "web console"
_

Comment 8 Shveta 2017-04-03 16:27:16 UTC
Vm console and Web console both are not working in OPS UI

Comment 9 Shveta 2017-04-04 18:12:28 UTC
Checked again with new appliance.
In OPS UI webconsole - opens a new tab but does not connect.
VM console - opens a new tab but doesn't connect .

In SUI  - No action on clicking cockpit button.
https://10.8.199.227 .
Service - cockpit

Comment 10 Shveta 2017-04-05 18:50:38 UTC
Behavior is same in OPS UI and SUI .
Verified in 5.7.2.0.20170321181409_349f1b1

Comment 12 errata-xmlrpc 2017-04-12 14:37:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.